package info.bukova.isspst;

import javax.servlet.http.HttpServletRequest;

import org.hibernate.context.spi.CurrentTenantIdentifierResolver;
import org.springframework.beans.factory.annotation.Autowired;

public class ClientResolver implements CurrentTenantIdentifierResolver {
	
	@Autowired
	private HttpServletRequest request;
	private static final String TOP_DOMAIN = "localhost"; // Bude se tahat z konfigurace...

	@Override
	public String resolveCurrentTenantIdentifier() {
		String hostName = request.getServerName();
		String tenant = "";
		
		if (hostName.contains(".")) {
			tenant = hostName.substring(0, hostName.indexOf("." + TOP_DOMAIN));
		}
		
		if (tenant.isEmpty()) {
			tenant = "public";
		}
		
		return tenant;
	}

	@Override
	public boolean validateExistingCurrentSessions() {
		return false;
	}

}
